.login-twofactor,
.login_valid_code {
  margin-top: 20px;
  width: 220px;
  height: 40px;
  border: none;
  border-left: 2px solid #7c53c9;
  background: #f8f8f8;
  padding: 5px 10px;
  font-size: 18px;
}

.get-twofactor {
  margin-top: 20px;
  width: 100px;
  height: 40px;
  color: #7c53c9;
  border-color: #7c53c9;
  border-radius: 5px
}

.login-valid .login_valid_code {
  padding: 0;
  margin: 0;
  width: 200px;
}


/* 重置样式 */
#passwordModal {
  position: absolute;
  top: 0;
  left: 0;
  height: 100%;
  width: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
  z-index: 1;
}

#passwordModal button {
  cursor: pointer;
}

/* 弹框背景 */
#passwordModal .modal {
  display: none;
  position: fixed;
  z-index: 1000;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.5);
}

/* 弹框内容 */
#passwordModal .modal-content {
  background-color: #fff;
  border-radius: 10px;
  padding: 20px;
  width: 400px;
  box-shadow: 0 4px 10px rgba(0, 0, 0, 0.25);
  text-align: center;
  position: relative;
  z-index: 9;
}

/* 关闭按钮 */
#passwordModal .close {
  position: absolute;
  top: 10px;
  right: 20px;
  font-size: 24px;
  font-weight: bold;
  color: #333;
}

#passwordModal .close:hover {
  color: #ff0000;
}

/* 表单样式 */
#passwordModal #passwordForm {
  margin-top: 20px;
  display: flex;
  flex-direction: column;
  align-items: stretch;
}

#passwordModal .form-group {
  display: flex;
  justify-content: space-between;
  align-items: center;
  position: relative;
}

.login-strip>input:focus {
  border-width: 4px;
}

#passwordModal label {
  flex: 0 0 100px;
  /* 固定宽度 */
  font-weight: bold;
  color: #333;
  text-align: left;
  margin-right: 10px;
}

#passwordModal input {
  flex: 1;
  padding: 10px;
  border: 1px solid #ccc;
  border-radius: 5px;
  font-size: 16px;
}

#passwordModal input:focus {
  outline: none;
  border-color: #007BFF;
}

#passwordModal button {
  padding: 10px;
  background-color: #007BFF;
  color: white;
  border: none;
  border-radius: 5px;
  font-size: 16px;
  font-weight: bold;
}

#passwordModal button:hover {
  background-color: #0056b3;
}

/* 提示信息 */
#passwordModal .message {
  font-size: 14px;
  color: #ff0000;
  height: 20px;
  margin-bottom: 6px;
}

.toggleNewPassword,
.toggleConfirmPassword {
  color: #a1a5ac;
  width: 30px;
  cursor: pointer;
  display: block;
  position: absolute;
  top: 50%;
  right: 5px;
  text-align: center;
  transition: color .2s cubic-bezier(.645, .045, .355, 1);
  -ms-transition: color .2s cubic-bezier(.645, .045, .355, 1);
  -moz-transition: color .2s cubic-bezier(.645, .045, .355, 1);
  -webkit-transition: color .2s cubic-bezier(.645, .045, .355, 1);
  font-family: iconfont !important;
  transform: translateY(-50%);
  -ms-transform: translateY(-50%);
  -moz-transform: translateY(-50%);
  -webkit-transform: translateY(-50%);
}

.toggleNewPassword.show.closed:before,
.toggleConfirmPassword.show.closed:before {
  content: "\F39F";
}

.toggleConfirmPassword.show:before,
.toggleNewPassword.show:before {
  content: "\F3A0";
}

.login-left-inner>h1 {
    margin: 0 auto 10px;
    height: 80px;
    width: 184px;
    background: url(../image/logo_800.png) no-repeat center;
    background-size: cover;
    opacity: .95;
    filter: drop-shadow(0 0 10px rgba(255, 255, 255, .8));
    -webkit-filter: drop-shadow(0 0 10px rgba(255, 255, 255, .8));
}

:root .login-bg {
    opacity: 1;
    filter:none;
    background: url(../image/login_wh.jpg) no-repeat center center;
    background-size: 101% 100%;
}

.login-right {
    position: relative;
    float: left;
    width: 50%;
    height: 100%;
    background: #fff;
    text-align: center;
    display: flex;
    align-items: center;
    flex-direction: column;
    flex-wrap: wrap;
}

.logo_top {
    width: 100%;
    height: 25%;
    background: url(../image/wh_logo.png) no-repeat center 70px;
    background-size: 82% 164%;
}

.login-loginbox {
    display: inline-block;
    vertical-align: middle;
    width: 400px;
    height: auto;
    margin-bottom: 5%;
}

.login-loginbox>.title {
    font-size: 23px;
    text-align: center;
    font-weight: 600;
    color: #000;
    margin-bottom: 64px;
}

.login-username,
.login-password,
.login-valid {
    margin-top: 20px;
    width: 320px;
    height: 40px;
    border: none;
    border-left: 2px solid #13489d;
    background: #f8f8f8;
    padding: 5px 10px;
    font-size: 18px;
}

.login-button {
    width: 300px;
    height: 40px;
    background: #13489d;
    border-radius: 5px;
    margin: 18px auto 0;
    color: #fff;
    color: rgba(255, 255, 255, 0.8);
    text-align: center;
    line-height: 40px;
    cursor: pointer;
    transition: 0.3s;
    -ms-transition: 0.3s;
    -webkit-transition: 0.3s;
    -moz-transition: 0.3s;
}

.login-button:hover {
    background: #13489dbf;
}

.login-button:active {
    background: #00326e;
}

.bottom_tip {
    /* margin-bottom: 21px; */
    height: 10%;
    color: #000;
    font-size: 21px;
    font-weight: 550;
}